Ondersteuning » Overige » PHP workers

  • Beste,

    Al zeker een maand ben ik bezig met mijn provider om te achterhalen waarom ik tijdens het opvragen van de informatie over een te update plug-in de verbinding niet gelegd kan worden naar de plug-in website.
    Als ik vervolgens dan maar toch de update uitvoer dan wordt het update proces wwel actief maar laat geen voortgang zien en komt ook weer met de boodschap dat de verbinding niet gemaakt kan worden. Het resultaat is echter weer wel dat de plug-in is geüpdatet.
    Mijn provider heeft nav logging het volgende geconcludeerd:
    *********************************************************************

    [—@— ~]$ sudo grep heilooenergie.nl /var/log/php*
    /var/log/php-fpm80.log:[15-Oct-2023 12:43:45] WARNING: [pool heilooenergienl-heilooenergie.nl] server reached max_children setting (10), consider raising it
    /var/log/php-fpm80.log:[15-Oct-2023 13:11:53] WARNING: [pool heilooenergienl-heilooenergie.nl] server reached max_children setting (10), consider raising it
    /var/log/php-fpm80.log:[17-Oct-2023 08:24:09] WARNING: [pool heilooenergienl-heilooenergie.nl] server reached max_children setting (10), consider raising it


    Er zijn de afgelopen 24 uur ruim 50 van dergelijke waarschuwingen geweest. Dit betekend dat er een proces, of een aantal processen, op de website loopt die ervoor zorgt dat je PHP-workers niet beschikbaar zijn. Zodra je geen workers beschikbaar hebt, krijg je de foutmelding die je laat zien; de website kan niet worden opgeleverd.

    U zou hiervoor kunnen kijken welke plugins en code noodzakelijk is voor het functioneren van je site en welke niet. Vooral bij eigen geschreven plugins of widgets kan dit voorkomen
    *********************************************************************

    Ik weet een niet waar ik het zoeken moet, heb geen keenis van PHP en ga er dan ook van uit dat wat ik gebruik geen onnodige activiteiten opstart.

    Hebben jullie suggesties hie dit op te lossen is ?

    Bij voorbaat dank
    Ron

    De pagina waar ik hulp bij nodig heb: [log in om de link te zien]

7 reacties aan het bekijken - 1 tot 7 (van in totaal 7)
  • Guido

    (@guido07111975)

    Hallo Ron,

    Zoals je hosting provider aangeeft zou het aan een plugin kunnen liggen.
    Gebruik je ook plugins die NIET op WP punt org worden aangeboden? Dit herken je door in je dashboard op de plugin pagina te kijken of bij de beschrijving vd plugin ook een link “Details bekijken” staat. Als die ontbreekt is het een plugin die niet (meer) op WP punt org aangeboden wordt.

    Guido

    Thread starter ronhe

    (@ronhe)

    dag Guido,

    dank voor je reactie. Ik ben de actieve plug-ins nagegaan, alle zijn up to date en ondersteunen de meest recente versie van WordPress.

    je geeft aan dat ik bij “Details bekijken” de nodige info over de plug-in kan vinden maar dat geeft dus ook al het probleem weer: de “verbinding is verloren”. Zelfs als ik een plug-in deactiveer krijg ik de melding van een 504 fout, server reageert niet.

    Guido

    (@guido07111975)

    Hoi,

    Misschien staat in je htaccess bestand een verkeerde doorverwijzing waardoor je site geen goed contact kan maken met de WP server. Dat bestand staat in de hoofdmap van je installatie. Zie deze pagina voor meer info en daar vind je ook wat er in dat bestand hoort te staan. Je kunt via je hosting panel bij je bestanden komen.

    Als je een security plugin gebruikt zou je die ook even kunnen deactiveren om te kijken of dat helpt.

    Guido

    Thread starter ronhe

    (@ronhe)

    Dag Guido,

    Dank voor je tips.
    Ik heb het bestand bekeken maar kan hier zelf geen chocola van maken. Ik kan er niets vreemds uithalen, anders dat er een toevoeging is na implementatie van RealySimple SSL PRo

    This Apache config file was created by Duplicator Installer on 2019-06-17 08:21:37. The original can be found in archived file with the name htaccess.orig Begin Really Simple Security

    RewriteEngine on RewriteCond %{HTTP:X-Forwarded-Proto} !https RewriteRule ^(.*)$ https://%{HTTP_HOST}/$1 [R=301,L]

    Options -Indexes End Really Simple Security BEGIN WordPress De richtlijnen (regels) tussen “BEGIN WordPress” en “END WordPress” worden dynamisch gegenereerd en zouden alleen aangepast mogen worden via WordPress filters. Alle wijzigingen aan de richtlijnen tussen deze markeringen worden overschreven.

    RewriteEngine On RewriteRule .* – [E=HTTP_AUTHORIZATION:%{HTTP:Authorization}] RewriteBase / RewriteRule ^index.php$ – [L] RewriteCond %{REQUEST_FILENAME} !-f RewriteCond %{REQUEST_FILENAME} !-d RewriteRule . /index.php [L] END WordPress

    Guido

    (@guido07111975)

    Ik zie geen vreemde zaken in jouw htaccess.

    Wat je ten slotte kunt doen is dat als je een plugin-update hebt, je eerst alle andere plugins deactiveert en dan pas die ene plugin updaten. Kijken of het dan wél goed gaat.

    Guido

    Thread starter ronhe

    (@ronhe)

    Guido,

    Het is opgelost: De laatste Plug-in die ik geïnstalleerd had, jun/juli dit jaar, was Really Simple SSL en Really Simple SSL Pro resp versie 7.1.3 en 7.08

    Ik deactiveerde Really Simple SSL en daarna kon ik de detail info zien van (ook andere) de plug-in.

    Na weer activeren van Really Simple SSL bleef alles normaal werken.
    Dank voor het meedenken en aanreiken van de Tips 🙂

    Guido

    (@guido07111975)

    Bedankt voor je update en mooi dat het opgelost is.

    Ik gebruik zelf geen SSL plugin, HTTPS instellen via Instellingen > Algemeen en daarnaast via je hosting panel vind ik voldoende. Als de site dan nog steeds via onbeveiligde HTTP kan worden geopend, dan moet je HTTPS forceren en dat kan ook zonder SSL plugin.

    Guido

7 reacties aan het bekijken - 1 tot 7 (van in totaal 7)
  • Het onderwerp ‘PHP workers’ is gesloten voor nieuwe reacties.